

define service {
	name				generic-service
	is_volatile			0
	check_period			24x7
	max_check_attempts		3
	normal_check_interval		5
	retry_check_interval		2
	active_checks_enabled		1
	passive_checks_enabled		1
	obsess_over_service		0
	check_freshness			0
	notifications_enabled		1
	notification_interval		60
	notification_period		24x7
	notification_options		u,c,w,r
	event_handler_enabled		1
	flap_detection_enabled		1
	process_perf_data		1
	icon_image			services.gif
	icon_image_alt			Generic check
	retain_status_information	1
	retain_nonstatus_information	1
#	contact_groups			pu_default
	register			0
}


define service {
	name				generic-service-active
	use				generic-service
	notification_interval		360
	flap_detection_enabled		0
	register			0
}


define service {
	name				email-end2end
	use				generic-service-active
	max_check_attempts		4
	normal_check_interval		10
	retry_check_interval		2
	register			0
}

define service {
	name				UNIX Dev/QA service
	is_volatile			0
	check_period			24x7
	max_check_attempts		4
	normal_check_interval		5
	retry_check_interval		5
	active_checks_enabled		1
	passive_checks_enabled		1
	obsess_over_service		0
	check_freshness			0
	notifications_enabled		1
	notification_interval		1440
	notification_period		7x4
	notification_options		c,r
	event_handler_enabled		0
	flap_detection_enabled		1
	process_perf_data		0
	retain_status_information	1
	retain_nonstatus_information	1
	icon_image			services.gif
	icon_image_alt			Linux Dev/QA check
	register			0
}


define service {
	name				UNIX Production service
	is_volatile			0
	check_period			24x7
	max_check_attempts		3
	normal_check_interval		4
	retry_check_interval		5
	active_checks_enabled		1
	passive_checks_enabled		1
	obsess_over_service		0
	check_freshness			0
	notifications_enabled		1
	notification_interval		360
	notification_period		24x7
	notification_options		c,r
	event_handler_enabled		0
	flap_detection_enabled		0
	process_perf_data		0
	retain_status_information	1
	retain_nonstatus_information	1
	icon_image			services.gif
	icon_image_alt			Linux Production check
	contact_groups			pu_default
	register			0
}


define service {
	name				UNIX Production 8x5 service
	use				UNIX Production service
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		5
	notification_options		u,c,w,r
	contact_groups			ESS_8x5
	register			0
}


define service {
	name				Windows Dev/QA service
	is_volatile			0
	check_period			24x7
	max_check_attempts		4
	normal_check_interval		5
	retry_check_interval		5
	active_checks_enabled		1
	passive_checks_enabled		1
	obsess_over_service		0
	check_freshness			0
	notifications_enabled		1
	notification_interval		1440
	notification_period		7x4
	notification_options		c,r
	event_handler_enabled		1
	flap_detection_enabled		1
	process_perf_data		0
	icon_image			services.gif
	icon_image_alt			Windows Dev/QA check
	retain_status_information	1
	retain_nonstatus_information	1
	register			0
}


define service {
	name				Windows Production service
	is_volatile			0
	check_period			24x7
	max_check_attempts		3
	normal_check_interval		4
	retry_check_interval		5
	active_checks_enabled		1
	passive_checks_enabled		1
	obsess_over_service		0
	check_freshness			0
	notifications_enabled		1
	notification_interval		360
	notification_period		24x7
	notification_options		c,r
	event_handler_enabled		1
	flap_detection_enabled		0
	process_perf_data		0
	icon_image			services.gif
	icon_image_alt			Windows Production check
	retain_status_information	1
	retain_nonstatus_information	1
	contact_groups			pu_default
	register			0
}


define service {
	name				Windows Production 8x5 service
	use				Windows Production service
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		5
	notification_options		u,c,w,r
	contact_groups			ESS_8x5
	register			0
}

define service {
	name				Gearman Worker
	use				generic-service
	normal_check_interval		2
	retry_check_interval		2
	max_check_attempts		4
	event_handler			gearman_failover
	contact_groups			Monitoring Admins
	contacts			null
	#check_period			Gearman server online
	#notification_period		Gearman server online
	notification_interval		180
	register			0
}

define service {
	name				Gearman Worker Dev/QA
	use				Gearman Worker
	event_handler			gearman_devqa_failover
	contacts			Igor V. Gubenko
	contact_groups			null
	register			0
}

define service {
	name				Gearman Worker Cluster
	use				Gearman Worker
	normal_check_interval		1
	notification_interval		30
	register			0
}

define service {
	name				Gearman Worker Cluster Dev/QA
	use				Gearman Worker Cluster
	event_handler			gearman_devqa_failover
	contacts			Igor V. Gubenko
	contact_groups			null
	register			0
}

define service {
	name				Networking service
	is_volatile			0
	check_period			24x7
	max_check_attempts		3
	normal_check_interval		3
	retry_check_interval		5
	active_checks_enabled		1
	passive_checks_enabled		1
	obsess_over_service		0
	check_freshness			1
	notifications_enabled		1
	notification_interval		360
	notification_period		24x7
	notification_options		u,c,w,r
	event_handler_enabled		1
	flap_detection_enabled		1
	process_perf_data		1
	icon_image			services.gif
	icon_image_alt			Networking service
	retain_status_information	1
	retain_nonstatus_information	1
	contacts			Networking
	contact_groups			nobody
	register			0
}

define service {
	name				SNMP trap
	use				generic-service
	# Do not track states
	is_volatile			1
	# No actively executing checks - we wait for traps
	active_checks_enabled		0
	# The service doesn't need to be actively checked - but needs to be reset periodically
	check_freshness			1
	# Automatically determine when to reset
	freshness_threshold		0
	# The flapping detection is not applicable
	flap_detection_enabled		0
	# Accepting external results, i.e traps
	passive_checks_enabled		1
	# traps arrive once
	max_check_attempts		1
	#notification_interval31536000
	process_perf_data		0
	check_command			check_trap_OK
	notification_options		u,c,w
	register			0
}



